/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.archive.api;

/**
 * Metadata available for this Archive. This may be mainly the metadata
 * collected from the Manifest file. <br>
 * Implementation should be case-insensitive
 * @author Florent BENOIT
 */
public interface IArchiveMetadata {

    /**
     * Gets the value of an entry for the given name.
     * @param name the name of the key to use.
     * @return the value
     */
    String get(final String name);

    /**
     * @return the value of the implementation version of this archive.
     */
    String getImplementationVersion();

    /**
     * Adds an entry into this metadata.
     * @param name the name of the key to add
     * @param value the value of the given key
     */
    void put(final String name, String value);

}
