/**
 * Copyright 2007-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.archive.api;

import java.io.File;

/**
 * Interface for "archives" that are consituted of a single non-jar file.
 * @author mleduque
 */
public interface IFileArchive extends IArchive {

    /**
     * Sets the file of the archive.
     * @param file the file of the archive.
     */
    void setFile(File file);

    /**
     * Gets the file of the archive.
     * @return the file of the archive.
     */
    File getFile();

}
